package com.heyu.api.data.dao.identitycard;
/**
* <p>
* 身份证记录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.identitycard.IdentityCardEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface IdentityCardDao extends BaseMapper<IdentityCardEntity> {


	IdentityCardEntity selectIdentityCardById(@Param("id")Long id);


	Long insertIdentityCard(IdentityCardEntity identityCard);


	Long insertOrUpdateIdentityCard(IdentityCardEntity identityCard);


	int updateIdentityCardById(IdentityCardEntity identityCard);


	int updateCoverIdentityCardById(IdentityCardEntity identityCard);


	int deleteIdentityCardById(@Param("id")Long id);


}